/* ########### Formular ########### */

/* Standard-Checkbox ausblenden Ausnahme: id=Dtaneschutz */
input[type="checkbox"]:not(#Datenschutz).check {
	display: none;
}

/* Benutzerdefinierte Checkbox */
.custom-checkbox {
	width: 20px;
	height: 20px;
	border: 1px solid silver;
	border-radius: 0px;
	position: relative;
	display: inline-block;
	margin-right: 10px;
	vertical-align: middle;
}

/* Die benutzerdefinierte Chekcbox, die auf id="Datenschutz" folgt nach links über die Origianl-Checkbox schieben */
#Datenschutz + span.custom-checkbox {
	left: -1em;
	background-color: #fff;
	margin-right: -1.5em;
}

/* Checkmark für aktivierte Checkbox */
.custom-checkbox::after {
	content: "";
	position: absolute;
	width: 6px;
	height: 12px;
	border: solid var(--green);
	border-width: 0 2px 2px 0;
	top: 2px;
	left: 6px;
	transform: rotate(45deg);
	opacity: 0;
	transition: opacity 0.2s ease;
}

/* Aktivierte Checkbox */
input[type="checkbox"].check:checked + .custom-checkbox {
	background-color: #E0F7FA;
	border-color: var(--green);
}

/* Checkmark anzeigen, wenn Checkbox aktiviert ist */
input[type="checkbox"].check:checked + .custom-checkbox::after {
	opacity: 1;
}

/* Label-Stil */
.checkbox-container label {
	cursor: pointer;
	display: flex;
	align-items: center;
	gap: 10px;
	margin-bottom: 10px;
}

.lableblock {
	float: left;
	width: 50%;
}

.lableblock2 {
	float: left;
	width: 100%;
}

.datenschutz {
	font-size: 0.7rem;
	line-height: 0.8rem;
}


form fieldset {
	border:none
}
form>fieldset>label {
	display:inline-block;
	width:15rem;
	-webkit-appearance:none
}
form input[type=mail],
form input[type=date],
form input[type=text],
form input[type=tel],
form textarea {
	border:1px solid silver;
	width:100%;
	padding:3px 3px 3px 10px;
	margin-bottom:.8rem;
	-webkit-appearance:none
}


form input[type=mail]:focus,
form input[type=date]:focus,
form input[type=text]:focus,
form input[type=tel]:focus,
form textarea:focus {
	border:1px solid var(--green);
	outline: none;
}

form input.honeypot {
	margin-top: 2rem;
	height: 0.1rem;
	border: none;
}

form input.honeypot:focus {
	border: none;
}

input.website {	
	margin-top: 2rem;
	height: 0.5rem;
	border: none !important;}

form select {
	width:100%;
	margin-bottom:1.2rem;
	background: #fff;
	border:1px solid silver;
}
form textarea {
	height:8rem;
	-webkit-appearance:none
}
input[type=submit] {
	-webkit-appearance:none;
	cursor:pointer;
	background: var(--green);
	color:#fff;
	border:none;
	padding:3px 3rem;
	-moz-border-radius:0;
	-webkit-border-radius:0;
	-khtml-border-radius:0;
	border-radius:0
}

input[type=submit]:hover {
	background: #4B9887;
}

/* ########### Formular ########### */ 

::-webkit-input-placeholder { /* Edge */
	color: var(--secondgrey);}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
	color: var(--secondgrey);}

::placeholder {
	font-family: 'Ubuntu';
	line-height: 1.6rem;
	font-weight: 300;
	font-style: normal;
	color: var(--placeholder);}

form fieldset {
	border:none;
	outline: none;
}

form input.inputlogin {
	border: none;
	border-bottom: 1px solid var(--secondgrey);
	width:100%;
	padding:1.2rem 0;
	margin-bottom:.8rem;
	-webkit-appearance:none
}

form input:focus {
	outline: none;
	border-bottom: 1px solid var(--green);
}

form input.formsend {
	margin-top: 0.4rem;
	background: var(--green);
	-webkit-appearance:none;
	cursor:pointer;
	color:white;
	border:none;
	font-weight: 500;
	text-transform: uppercase;
	padding: 0.7rem 1.6rem;
	-moz-border-radius:0;
	-webkit-border-radius:0;
	-khtml-border-radius:0;
	border-radius:0
}






fieldset#formularA input.honeypot, fieldset#formularA input.honeypot:focus {border: none;	outline:none;}
.Error {color: red;font-size: 1.3rem;}
.code img {width: 120px;}



fieldset#formularA,fieldset#formularB {
	font-family: 'Ubuntu';
	line-height: 1.6rem;
	font-weight: 300;
	width: 48%;
	border: none;
	padding: 0;
	overflow: hiddden;
	float: left;}

fieldset#formularA {margin-right: 1%}
fieldset#formularB  {margin-left: 1%}


fieldset#formularA input,fieldset#formularB input {
	border-radius: 0;
	-webkit-appearance: none;
	width: 100%;
	border: 1px solid silver;
	padding: 10px;
	margin-bottom: 2%;
	height: 3rem;
	font-size: 1rem;}

fieldset#formularA input:focus,fieldset#formularB input:focus {
	outline:2px solid silver;}

fieldset#formularA select {
	font-family: 'Open Sans';
	font-style: normal;
	margin-bottom: 2%;
	height: 3rem;
	border-radius: 0;
	-webkit-appearance: none;
	width: 100%;
	padding: 10px;
	border: 1px solid silver;
	background: #FFF;
	color: #ff7688;
	font-size: 1rem;}


fieldset#formularA select option  {	
	color: black;}

fieldset#formularA textarea {
	border-radius: 0;
	-webkit-appearance: none;
	width: 100%;
	padding: 10px;
	margin-bottom: 2%;
	border: 1px solid silver;
	height: 100px;
	font-size: 1rem;}

fieldset#formularA textarea:focus {
	outline:2px solid silver;}

#formularB input#captcha {
	font-family: courier;
	font-weight: bold;
	font-size: 1.4rem;
	letter-spacing: 0.2rem;}

#formularB .Datenschutz {
	font-size: 0.8rem;}


#formularB .sendform {
	margin-top: 20px;
	background: #0055a7;
	background: #fff;
	width: 95%;
	color: #0055A7;
	border: 2px solid #0055a7;
	outline: none;
	text-transform: uppercase;
	font-size: 1rem;
	border-radius: 0px;}

#formularB .sendform:hover {
	background: #0055a7;
	color: #FFF;
}

/* ########### suche ########### */
input.searchinput {
  margin-top: 0px;
  display: block;
  float: left;
  width: 50% !important;
  height: 2.7rem !important;;
}

.fil0 {
  fill:white
}

ul.searchhits a {
border: none;
}

/* ########### mySUMA ########### */
input.form1 {
 margin-top: 0px;
  width: 50% !important;
  height: 2.7rem !important;;
}

@media (max-width: 480px) {
	fieldset#formularA,fieldset#formularB {width: 100%;}
	fieldset#formularA {margin-right: 0}
	fieldset#formularB  {margin-left: 0}
}

